"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var FaClose = require("react-icons/lib/fa/close");
var styled_components_1 = require("styled-components");
var hoc_1 = require("../hoc");
var recompose_1 = require("recompose");
var utils_1 = require("../utils");
var BtnWrapper = styled_components_1.default.button(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  border: 0;\n  background: none;\n  padding: 4px;\n  font-size: 14px;\n  margin-left: 5px;\n  color: rgba(0, 0, 0, 0.4);\n  cursor: pointer;\n\n  &:hover {\n    color: ", ";\n  }\n"], ["\n  border: 0;\n  background: none;\n  padding: 4px;\n  font-size: 14px;\n  margin-left: 5px;\n  color: rgba(0, 0, 0, 0.4);\n  cursor: pointer;\n\n  &:hover {\n    color: ", ";\n  }\n"])), function (_a) {
    var color = _a.color;
    return (color ? utils_1.darken(color) : 'black');
});
var Base = function (props) {
    return (React.createElement(BtnWrapper, __assign({}, props),
        React.createElement(FaClose, null)));
};
exports.default = recompose_1.compose(styled_components_1.withTheme, hoc_1.default)(Base);
var templateObject_1;
