"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BooleanType = require("./Boolean");
var CaseInsensitiveTextType = require("./CaseInsensitiveText");
var DateTimeType = require("./DateTime");
var DateType = require("./Date");
var EnumType = require("./Enum");
var IntegerType = require("./Integer");
var KeyValuePair = require("./KeyValuePair");
var RealType = require("./Real");
var ShortTextType = require("./ShortText");
var TextType = require("./Text");
var TimeType = require("./Time");
var SemverRangeType = require("./SemverRange");
var SemverType = require("./Semver");
exports.default = {
    Boolean: BooleanType,
    'Case Insensitive Text': CaseInsensitiveTextType,
    'Date Time': DateTimeType,
    Date: DateType,
    Integer: IntegerType,
    'Key Value Pair': KeyValuePair,
    Real: RealType,
    'Short Text': ShortTextType,
    Text: TextType,
    Time: TimeType,
    Enum: EnumType,
    'Semver Range': SemverRangeType,
    Semver: SemverType
};
